/*
 * Copyright 2014 Peter Olsson
 * 
 * This file is part of Brum Brum Rally.
 * 
 * Brum Brum Rally is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Brum Brum Rally is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include "Color.h"

Color carColor(int car)
{
	switch (car)
	{
	case 0:
		return 0xfff440;
	case 1:
		return 0x50d521;
	case 2:
		return 0xff4545;
	case 3:
		return 0x57f3d4;
	case 4:
		return 0x3e65f9;
	case 5:
		return 0xf372eb;
	case 6:
		return 0xbfbfbf;
	case 7:
		return 0xffffff;
	default:
		return CHAT_COLOR;
	}
}

std::string carColorName(int car)
{
	switch (car)
	{
	case 0:
		return "yellow";
	case 1:
		return "green";
	case 2:
		return "red";
	case 3:
		return "turquoise";
	case 4:
		return "blue";
	case 5:
		return "purple";
	case 6:
		return "black";
	case 7:
		return "white";
	default:
		return "faulty";
	}
}
