/*
 * Copyright (C) 2014 Peter Olsson
 * 
 * Copyright (C) 2003 Maxim Stepin ( maxst@hiend3d.com )
 *
 * Copyright (C) 2010 Cameron Zemek ( grom@zeminvaders.net)
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */

#ifndef __HQX_H_
#define __HQX_H_

#include <stdint.h>

#define HQX_CALLCONV
#define HQX_API

HQX_API void HQX_CALLCONV hqxInit(void);

HQX_API void HQX_CALLCONV hq2x_32_rb( void * src, uint32_t srb, void * dst, uint32_t drb, int dx, int dy, int sx, int sy, int Xres, int Yres );
HQX_API void HQX_CALLCONV hq3x_32_rb( void * src, uint32_t srb, void * dst, uint32_t drb, int dx, int dy, int sx, int sy, int Xres, int Yres );
HQX_API void HQX_CALLCONV hq4x_32_rb( void * src, uint32_t srb, void * dst, uint32_t drb, int dx, int dy, int sx, int sy, int Xres, int Yres );

#endif
